Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.util
Class IDEEditorFileCreator

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.resources.editor.util.DiagramFileCreator
          org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.util.IDEEditorFileCreator

public abstract class IDEEditorFileCreator
extends DiagramFileCreator

A file creator that creates a file in an IDE dependent WorkspaceModifyOperation.

Constructor Summary
`IDEEditorFileCreator()`

Method Summary
`protected void` `createFile(IFile fileHandle, java.io.InputStream contents, IRunnableContext runContext)` Creates the file, taking other file operations in the workspace into account.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.util.DiagramFileCreator
`appendExtensionToFileName, createFile, createNewFile, getExtension, getPlugin, getUniqueFileName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IDEEditorFileCreator

    public IDEEditorFileCreator()

Method Detail

### createFile

    protected void createFile(IFile fileHandle,
                              java.io.InputStream contents,
                              IRunnableContext runContext)
                       throws java.lang.InterruptedException,
                              java.lang.reflect.InvocationTargetException

  Creates the file, taking other file operations in the workspace into account.

  Parameters:
    `fileHandle` - the IFile that will be created.
    `contents` - InputStream with the initial contents for the new IFile
    `runContext` - the IRunnableContext that the operation to create the file will be run in.
  Throws:
    `java.lang.InterruptedException` - if the create file operation is interrupted
    `java.lang.reflect.InvocationTargetException` - which may be caused by the create file operation

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.